Name:           gtkdialog
Version:        0.8.5e
Release:        %mkrel 1
Summary:        GUI creation tool for shells and arbitrary interpreters
License:        GPLv2+
Group:          Development/Tools
URL:            https://github.com/puppylinux-woof-CE/gtkdialog
Source:         https://github.com/puppylinux-woof-CE/gtkdialog/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(gtk-layer-shell-0)

%description
The gtkdialog is uses an XML like simple language as a GUI description
language to produce dialog boxes. The program can be used with shells
and arbitrary interpreters. Example programs included for BASH and AWK.

%prep
%autosetup -p1

sed -i 's|usr/local|usr|' examples/miscellaneous/standalone_file

%build
%meson
%meson_build

%install
%meson_install

mkdir -p  %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Gtkdialog
Comment=Script friendly gtk GUI builder 
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;
EOF

%files
%doc AUTHORS NEWS TODO ChangeLog examples
%license COPYING
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Sep 25 2024 daviddavid <daviddavid> 0.8.5e-1.mga10
+ Revision: 2101129
- new version: 0.8.5e
- switch to gtk+3

* Sat Mar 26 2022 umeabot <umeabot> 0.8.3-6.mga9
+ Revision: 1828338
- Mageia 9 Mass Rebuild

* Tue Aug 25 2020 martinw <martinw> 0.8.3-5.mga8
+ Revision: 1619027
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 0.8.3-4.mga8
+ Revision: 1512806
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-3.mga7
+ Revision: 1298106
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.8.3-2.mga6
+ Revision: 950465
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 alexl <alexl> 0.8.3-1.mga5
+ Revision: 795006
- imported package gtkdialog

